TRAFFIC_CRASHLOG(8)

NAME
traffic_crashlog - Traffic Server crash log helper

SYNOPSIS

traffic_crashlog [options]

DESCRIPTION

traffic_crashlog is a helper process that catches Traffic Server crashes and writes a crash report log to the logging directory. Other than for debugging or development purposes, traffic_crashlog is not intended for users to run directly.

When traffic_server starts, it will launch a traffic_crashlog process and keep it stopped, activating it only if a crash occurs.

OPTIONS

    --host TRIPLE
        This option specifies the host triple for the process that traffic_crashlog should examine. If a supported host triple is specified, traffic_crashlog expects to receive a siginfo_t structure on it's standard input, followed by a ucontext_t.

    --target PID
        Specifies the process ID of the crashing traffic_server process. If this option is not specified, traffic_crashlog assumes it should examine it's parent process.

    --syslog
        This option causes traffic_crashlog to log the name of the crash log it creates to the system log.

    --debug
        This option enables debugging mode. In this mode, traffic_crashlog emits the log to it's standard output.

    --wait
        This option causes traffic_crashlog to stop itself immediately after it is launched. traffic_server will allow it to continue only when a crash occurs.

CAVEATS

traffic_crashlog makes use of various Traffic Server management APIs. If traffic_manager is not available, the crash log will be incomplete.

traffic_crashlog may generate a crash log containing information you would rather not share outside your organization. Please examine the crash log carefully before posting it in a public forum.

SEE ALSO

records.config(5), traffic_manager(8), traffic_server(8)

COPYRIGHT
2026, dev@trafficserver.apache.org